# Documentation for Async+ 

Async+ for Swift provides a simple chainable interface for your async and throwing code, similar to promises and futures.  This allows you to use the async solution built into the language, but keep all the useful features of promises, such as `recover`, catching-behavior-as-a-function, and `ensure`. 

[Getting Started](getting-started.md)

[Operations](operations.md)

[Using chains from async or throwing contexts](async-or-throwing-contexts.md)

[Motivation and common patterns](motivation-and-common-patterns.md)

[Cancellation](cancellation.md)

[Migrating from PromiseKit](migrating-from-promisekit.md)

[Frequently asked questions (FAQ)](faq.md)

